/// <reference types="react" />
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import CloudControl from 'aws-sdk/clients/cloudcontrol';
import { AwsJsonTree as AwsJsonTreeProps } from '../ops-types.js';
export declare class AwsJsonTree extends BaseWidget {
    static type: string;
    region: string;
    cloudControlType: string;
    resourceModel?: string;
    paths?: string[];
    private _resourceDescriptions;
    constructor(props: AwsJsonTreeProps);
    static fromJson(object: AwsJsonTreeProps): AwsJsonTree;
    toJson(): AwsJsonTreeProps;
    getData(providers?: BaseProvider[]): Promise<void>;
    get resourceDesciptions(): CloudControl.ResourceDescription[];
    render(): JSX.Element;
}
