import { ButtonGroupProps, ButtonProps, UseRadioProps } from '@chakra-ui/react';
import * as React from 'react';
interface RadioButtonGroupProps<T> extends Omit<ButtonGroupProps, 'onChange' | 'variant' | 'isAttached'> {
    name?: string;
    value?: T;
    defaultValue?: string;
    onChange?: (value: T) => void;
}
export declare function RadioButtonGroup<T extends string>(props: RadioButtonGroupProps<T>): React.JSX.Element;
interface RadioButtonProps extends ButtonProps {
    value: string;
    radioProps?: UseRadioProps;
}
export declare function RadioButton(props: RadioButtonProps): React.JSX.Element;
export {};
